Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

com.opencms.flex
Interface I_CmsEventListener  view I_CmsEventListener download I_CmsEventListener.java


public interface I_CmsEventListener

Implement this interface in case your class has to react to CmsEvents that are thrown by system.

In order to recieve system events, your class must register with the OpenCms event mechanism. This can be done in the constructor of a class like this:

 com.opencms.core.A_OpenCms.addCmsEventListener(this);
 
A typical implementation might look like this:
 public void cmsEvent(com.opencms.flex.CmsEvent event) {
     switch (event.getType()) {
         case com.opencms.flex.I_CmsEventListener.EVENT_PUBLISH_PROJECT:
         case com.opencms.flex.I_CmsEventListener.EVENT_CLEAR_CACHES:
             // do something
             break;
         case com.opencms.flex.I_CmsEventListener.EVENT_LOGIN_USER:
            // do something else
             break;
         }
 }
 

Since:
FLEX alpha 1
Version:
$Revision: 1.5 $

Field Summary
static int EVENT_CLEAR_CACHES
          Event "all caches mut be cleared".
static int EVENT_FLEX_CACHE_CLEAR
          Event "the FlexCache must be cleared".
static int EVENT_FLEX_CLUSTER_CHECK_SOURCE
          Event used by the Flex Cluster Module.
static int EVENT_FLEX_CLUSTER_HOOK
          Event used by the Flex Cluster Module.
static int EVENT_FLEX_PURGE_JSP_REPOSITORY
          Event "delete all JSP pages in the "real" file system (so they will be rebuild next time the JSP is requested)".
static int EVENT_LOGIN_USER
          Event "user has logged in".
static int EVENT_PUBLISH_BO_RESOURCE
          Event "a resource in the COS was published".
static int EVENT_PUBLISH_PROJECT
          Event "a project was published".
static int EVENT_PUBLISH_RESOURCE
          Event "a resource was published".
static int EVENT_STATIC_EXPORT
          Event "static export has just happened"
 
Method Summary
 void cmsEvent(CmsEvent event)
          Acknowledge the occurrence of the specified event, implement this method to check for CmsEvents in your class.
 

Field Detail

EVENT_LOGIN_USER

public static final int EVENT_LOGIN_USER
Event "user has logged in".

See Also:
CmsObject.loginUser(String, String)>CmsObject.loginUser(String, String) 55 , Constant Field Values

EVENT_PUBLISH_PROJECT

public static final int EVENT_PUBLISH_PROJECT
Event "a project was published".

See Also:
CmsObject.publishProject(int, I_CmsReport)>CmsObject.publishProject(int, I_CmsReport) 55 , Constant Field Values

EVENT_PUBLISH_RESOURCE

public static final int EVENT_PUBLISH_RESOURCE
Event "a resource was published".

See Also:
CmsObject.publishResource(String, boolean)>CmsObject.publishResource(String, boolean) 55 , Constant Field Values

EVENT_PUBLISH_BO_RESOURCE

public static final int EVENT_PUBLISH_BO_RESOURCE
Event "a resource in the COS was published".

See Also:
com.opencms.defaults.master.CmsMasterContent#publishResource(CmsObject), Constant Field Values

EVENT_CLEAR_CACHES

public static final int EVENT_CLEAR_CACHES
Event "all caches mut be cleared".

Not thrown by the core classes, but might be used in modules.

See Also:
Constant Field Values

EVENT_FLEX_CLUSTER_CHECK_SOURCE

public static final int EVENT_FLEX_CLUSTER_CHECK_SOURCE
Event used by the Flex Cluster Module.

See Also:
Constant Field Values

EVENT_FLEX_CLUSTER_HOOK

public static final int EVENT_FLEX_CLUSTER_HOOK
Event used by the Flex Cluster Module.

See Also:
Constant Field Values

EVENT_FLEX_PURGE_JSP_REPOSITORY

public static final int EVENT_FLEX_PURGE_JSP_REPOSITORY
Event "delete all JSP pages in the "real" file system (so they will be rebuild next time the JSP is requested)".

This is thrown on the "FlexCache Administration" page if you press the button "Purge JSP repository", or if you use the _flex=purge request parameter.

See Also:
Constant Field Values

EVENT_FLEX_CACHE_CLEAR

public static final int EVENT_FLEX_CACHE_CLEAR
Event "the FlexCache must be cleared".

This is thrown on the "FlexCache Administration" page if you press one ot the "Clear cache" buttons, or if you use the _flex=clearcache request parameter.

See Also:
Constant Field Values

EVENT_STATIC_EXPORT

public static final int EVENT_STATIC_EXPORT
Event "static export has just happened"

See Also:
CmsObject.publishProject(int, I_CmsReport)>CmsObject.publishProject(int, I_CmsReport) 55 , Constant Field Values
Method Detail

cmsEvent

public void cmsEvent(CmsEvent event)
Acknowledge the occurrence of the specified event, implement this method to check for CmsEvents in your class.